import { EventEmitter } from '@angular/core';
import { StoreLineItem } from '../../package-details-v2/interface';
export declare class ProductsNavV2Component {
    items: StoreLineItem[];
    hideItemsNav: boolean;
    itemSelected: EventEmitter<string>;
    selected_id: string;
    pageMarker: number;
    onItemSelected(id: string): void;
    moveSlides(slides: HTMLBodyElement): void;
    pageNext(slides: HTMLBodyElement): void;
    pagePrev(slides: HTMLBodyElement): void;
}
